Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slamch

    java.lang.Object
      org.netlib.lapack.Slamch

    public class Slamch

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAMCH determines single precision machine parameters.
     *
     *  Arguments
     *  =========
     *
     *  CMACH   (input) CHARACTER*1
     *          Specifies the value to be returned by SLAMCH:
     *          = 'E' or 'e',   SLAMCH := eps
     *          = 'S' or 's ,   SLAMCH := sfmin
     *          = 'B' or 'b',   SLAMCH := base
     *          = 'P' or 'p',   SLAMCH := eps*base
     *          = 'N' or 'n',   SLAMCH := t
     *          = 'R' or 'r',   SLAMCH := rnd
     *          = 'M' or 'm',   SLAMCH := emin
     *          = 'U' or 'u',   SLAMCH := rmin
     *          = 'L' or 'l',   SLAMCH := emax
     *          = 'O' or 'o',   SLAMCH := rmax
     *
     *          where
     *
     *          eps   = relative machine precision
     *          sfmin = safe minimum, such that 1/sfmin does not overflow
     *          base  = base of the machine
     *          prec  = eps*base
     *          t     = number of (base) digits in the mantissa
     *          rnd   = 1.0 when rounding occurs in addition, 0.0 otherwise
     *          emin  = minimum exponent before (gradual) underflow
     *          rmin  = underflow threshold - base**(emin-1)
     *          emax  = largest exponent before overflow
     *          rmax  = overflow threshold  - (base**emax)*(1-eps)
     *
     * =====================================================================

     *
     *     .. Parameters ..

Field Summary
`static float` | `base`
`static float` | `emax`
`static float` | `emin`
`static floatW` | `eps`
`static boolean` | `first`
`static float` | `prec`
`static floatW` | `rmax`
`static floatW` | `rmin`
`static float` | `rnd`
`static float` | `sfmin`
`static float` | `t`

Constructor Summary
`Slamch()`

Method Summary
`static float` | `slamch(java.lang.String cmach)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    public static float base

### emax

    public static float emax

### emin

    public static float emin

### eps

    public static floatW eps

### prec

    public static float prec

### rmax

    public static floatW rmax

### rmin

    public static floatW rmin

### rnd

    public static float rnd

### sfmin

    public static float sfmin

### t

    public static float t

### first

    public static boolean first

Constructor Detail

### Slamch

    public Slamch()

Method Detail

### slamch

    public static float slamch(java.lang.String cmach)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD